cgGetNamedParameterAnnotation(3)

NAME
cgGetNamedParameterAnnotation - get a parameter annotation by name

SYNOPSIS
  #include <Cg/cg.h>
  CGannotation cgGetNamedParameterAnnotation( CGparameter param,
                                              const char * name );

PARAMETERS

param
    The parameter from which to retrieve the annotation.

name
    The name of the annotation to retrieve.

RETURN VALUES
Returns the named annotation.

Returns NULL if the parameter has no annotation corresponding to name.

DESCRIPTION
The annotations associated with a parameter can be retrieved directly by name using cgGetNamedParameterAnnotation. The names of a parameter's annotations can be discovered by iterating through the annotations (see the cgGetFirstParameterAnnotation manpage and the cgGetNextAnnotation manpage), calling the cgGetAnnotationName manpage for each one in turn.

EXAMPLES
  /* fetch annotation "Apple" from CGparameter param */
  CGannotation ann = cgGetNamedParameterAnnotation( param, "Apple" );

ERRORS
CG_INVALID_PARAM_HANDLE_ERROR is generated if param is not a valid parameter.

HISTORY
cgGetNamedParameterAnnotation was introduced in Cg 1.4.

SEE ALSO
the cgGetFirstParameterAnnotation manpage, the cgGetNextParameterAnnotation manpage, the cgGetAnnotationName manpage